:root body {
    --wd-brd-radius: 3px;
    --wd-form-brd-radius: var(--wd-brd-radius);
    --btn-default-brd-radius: var(--wd-brd-radius);
    --brd-color: #e1e3e4;
    --wd-form-height: 48px;
    --btn-height: 48px;
    --section-spacing: 50px;
    --bg-secondary: #f3f4f7;
    --product-on-sale-accent: #ee0000;
    --product-in-stock-color: #008a00;
    --product-sold-out-color: #8a9297;
    --text-color: #16161d;
    --color-gray-500: var(--wd-text-color);
    --color-gray-600: var(--wd-text-color);
    --color-gray-700: var(--wd-text-color);
    --color-gray-800: var(--wd-text-color);
    --color-gray-900: var(--wd-text-color);
    --wd-form-brd-color: #e1e3e4;
    --btn-accented-brd-radius: 2px;
    --btn-transform: none;
    --btn-font-weight: normal;
    --btn-font-family: 'DIN Next Bold';
    --bgcolor-gray-100: var(--wd-form-brd-color);
    --bgcolor-gray-200: var(--wd-form-brd-color);
    --bgcolor-gray-300: var(--wd-form-brd-color);
    --bgcolor-gray-400: var(--wd-form-brd-color);
    --brdcolor-gray-200: var(--wd-form-brd-color);
    --brdcolor-gray-300: var(--wd-form-brd-color);
    --brdcolor-gray-400: var(--wd-form-brd-color);
    --brdcolor-gray-500: var(--wd-form-brd-color);
}

/*GENERALES*/

tldx-lmi-shadow-root {
    display: none;
}

.home .main-page-wrapper {
    padding-top: 0;
}

.section {
    margin-block: var(--section-spacing);
}

.section .wpb_content_element {
    margin-bottom: 0;
}

body strong,
body b {
    font-weight: normal;
    font-family: 'DIN Next Bold';
}

.blockOverlay {
    background: var(--bg-secondary) !important;
}

.static-page .hentry>.entry-content {
    width: 100%;
    max-width: 800px;
    margin: auto;
}

body .wd-progress-bar :is(.progress-area,.progress-bar){
    border-radius: 2px;
}

.wd-slider .wd-slide{
    min-height: auto !important;
}

.wd-slider .wpb_single_image img{
    width: 100vw !important;
}

.wd-popup .wpb_content_element{
    margin-bottom: 0;
}

@media screen and (min-width: 769px) {

    .hidden-desktop {
        display: none;
    }

}

@media screen and (min-width: 1025px) {

    body .container {
        padding-right: 40px;
        padding-left: 40px;
    }

}

@media screen and (max-width: 1024px) {

    .hidden-mobile {
        display: none;
    }

}

@media screen and (max-width: 768px) {

    .hidden-mobile {
        display: none;
    }

}

/*AVISOS DE WOOCOMMERCE*/

body :is(.woocommerce-error, .woocommerce-info) {
    margin: 20px;
    line-height: 1;
    min-height: auto;
    padding: 20px;
}

/*BOTONES*/

body :is(.btn, .button) {
    text-align: center;
    line-height: 1;
    font-weight: normal;
    font-family: 'DIN Next Bold';
    font-size: 16px;
    cursor: pointer;
    border-radius: 2px;
    padding: 0 30px;
    display: inline-flex;
    position: relative;
    text-transform: none;
    width: max-content;
    min-height: 48px;
}

body.wpb-js-composer .wd-button-wrapper.inline-element {
    margin-bottom: 0;
}

body .btn.btn-color-white {
    color: var(--wd-text-color);
}

body [class*="color-scheme-light"] .btn.btn-color-white {
    color: var(--text-color);
}

body .btn.btn-color-white:hover {
    box-shadow: inset 0 0 200px rgb(0 0 0 / 5%);
}

/*INPUTS*/

body input[type='email'],
body input[type='date'],
body input[type='search'],
body input[type='number'],
body input[type='text'],
body input[type='tel'],
body input[type='url'],
body input[type='password'],
body textarea,
body select {
    font-size: 16px;
}

body.woocommerce-checkout:not(.woocommerce-order-received) input[type='email'],
body.woocommerce-checkout:not(.woocommerce-order-received) input[type='date'],
body.woocommerce-checkout:not(.woocommerce-order-received) input[type='search'],
body.woocommerce-checkout:not(.woocommerce-order-received) input[type='number'],
body.woocommerce-checkout:not(.woocommerce-order-received) input[type='text'],
body.woocommerce-checkout:not(.woocommerce-order-received) input[type='tel'],
body.woocommerce-checkout:not(.woocommerce-order-received) input[type='url'],
body.woocommerce-checkout:not(.woocommerce-order-received) input[type='password'],
textarea,
select {
    transition: all .15s ease-in-out;
    border: 2px solid var(--bg-secondary);
    font-size: var(--wd-text-font-size);
    background-color: var(--bg-secondary);
    border-radius: var(--wd-brd-radius);
}

body.woocommerce-checkout:not(.woocommerce-order-received) input[type='email'],
body.woocommerce-checkout:not(.woocommerce-order-received) input[type='date'],
body.woocommerce-checkout:not(.woocommerce-order-received) input[type='search'],
body.woocommerce-checkout:not(.woocommerce-order-received) input[type='number'],
body.woocommerce-checkout:not(.woocommerce-order-received) input[type='text'],
body.woocommerce-checkout:not(.woocommerce-order-received) input[type='tel'],
body.woocommerce-checkout:not(.woocommerce-order-received) input[type='url'],
body.woocommerce-checkout:not(.woocommerce-order-received) input[type='password'],
body.woocommerce-checkout:not(.woocommerce-order-received) textarea,
body.woocommerce-checkout:not(.woocommerce-order-received) select {
    transition: all .15s ease-in-out;
    border: 2px solid var(--bg-secondary);
    font-size: var(--wd-text-font-size);
    background-color: var(--bg-secondary);
    border-radius: var(--wd-brd-radius);
}

body.woocommerce-checkout:not(.woocommerce-order-received) input[type='email']:focus,
body.woocommerce-checkout:not(.woocommerce-order-received) input[type='date']:focus,
body.woocommerce-checkout:not(.woocommerce-order-received) input[type='search']:focus,
body.woocommerce-checkout:not(.woocommerce-order-received) input[type='number']:focus,
body.woocommerce-checkout:not(.woocommerce-order-received) input[type='text']:focus,
body.woocommerce-checkout:not(.woocommerce-order-received) input[type='tel']:focus,
body.woocommerce-checkout:not(.woocommerce-order-received) input[type='url']:focus,
body.woocommerce-checkout:not(.woocommerce-order-received) input[type='password']:focus,
body.woocommerce-checkout:not(.woocommerce-order-received) textarea:focus,
body.woocommerce-checkout:not(.woocommerce-order-received) select:focus {
    border-color: var(--wd-primary-color);
}

/* Ocultar botones de incremento y decremento en navegadores WebKit (Chrome, Safari) */
input[type='number']::-webkit-inner-spin-button,
input[type='number']::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Ocultar botones de incremento y decremento en Firefox */
input[type='number'] {
    appearance: textfield;
    -moz-appearance: textfield;
}

/*SLIDER*/

body .container.wd-slide-container.content-full-width {
    max-width: none;
}

body .wd-slider-pagin.wd-style-shape-3 ul {
    padding-inline: 12px;
    padding-block: 8px;
    border-radius: 100px;
    gap: 7px;
}

body .wd-nav-pagin-wrap[class*="wd-style-shape"] span {
    width: 20px;
    height: 8px;
}

.wd-slider .wd-nav-pagin-wrap {
    bottom: 22px;
}

.wd-slider .wpb_content_element {
    margin-bottom: 0;
}

/*CARRUSEL DE PRODUCTOS*/

.products .wd-carousel {
    padding: 0;
}

.wd-carousel-container.products::before {
    content: "";
    border: 1px solid var(--brd-color);
    z-index: 2;
    pointer-events: none;
    border-radius: 3px;
    width: 100%;
    height: 100%;
    position: absolute;
}

body .wd-product .product-wrapper::before {
    content: "";
    box-shadow: 1px 0 var(--brd-color), 0 1px var(--brd-color);
    z-index: 2;
    pointer-events: none;
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
}

.products [class*="wd-grid"] {
    --wd-gap-lg: 1px !important;
}

body .wd-product.wd-hover-tiled .product-wrapper {
    box-shadow: none;
    height: 100%;
}

body .product-wrapper .product-element-bottom .wd-product-brands-links {
    order: 0;
    line-height: 1;
}

body .product-wrapper .product-element-bottom .wd-entities-title {
    order: 1;
    font-size: 15px;
    line-height: 23px;
    margin-bottom: 18px;
}

body .product-wrapper .product-element-bottom .price {
    order: 2;
    display: inline-flex;
    align-items: baseline;
    gap: 15px;
    margin-bottom: 18px;
    line-height: 1;
}

body .product-wrapper .product-element-bottom .wd-product-stock {
    order: 3;
    line-height: 1;
}

body .wd-product :where(.product-wrapper, .product-element-bottom) {
    gap: 0;
}

body .product-wrapper .product-element-bottom .wd-product-brands-links a {
    font-size: 13px;
    color: var(--wd-text-color);
    margin-bottom: 18px;
    text-transform: uppercase;
}

body .product-wrapper .product-element-bottom .wd-product-brands-links a:hover {
    color: var(--wd-primary-color);
}

body .product-wrapper .product-element-bottom .price ins {
    order: 0;
}

body .product-wrapper .product-element-bottom .price ins span.amount {
    color: var(--product-on-sale-accent);
    font-weight: normal;
    font-size: 21px;
}

body .product-wrapper .product-element-bottom .price span.amount {
    font-weight: normal;
    font-size: 21px;
}

body .product-wrapper .product-element-bottom .price del {
    order: 1;
    color: var(--wd-text-color);
}

body .product-wrapper .product-element-bottom .price del .amount {
    font-size: 15px;
    color: var(--wd-text-color);
}

body .wd-product.wd-hover-tiled {
    --wd-prod-bg-cont-sp: 18px;
}

body .product-wrapper p.stock.wd-style-default {
    font-weight: normal;
    font-family: 'DIN Next Bold';
    display: inline-flex;
    align-items: center;
    font-size: 14px;
}

body .product-wrapper p.stock.wd-style-default:before {
    content: '';
    height: 8px;
    width: 8px;
    border-radius: 8px;
    display: inline-block;
    margin-inline-end: 12px;
}

body .product-wrapper p.stock.wd-style-default.in-stock:before {
    background-color: var(--product-in-stock-color);
}

body .product-wrapper p.stock.wd-style-default.in-stock {
    color: var(--product-in-stock-color);
}

body .product-wrapper p.stock.wd-style-default.out-of-stock:before {
    background-color: var(--product-sold-out-color);
}

body .product-wrapper p.stock.wd-style-default.out-of-stock {
    color: var(--product-sold-out-color);
}

body a.wd-entities-title:hover,
body .wd-entities-title a:hover {
    color: var(--wd-primary-color);
}

body .product-label {
    line-height: 15px;
    font-size: 14px;
    font-weight: normal;
    font-family: 'DIN Next Bold';
    border-radius: 0 var(--wd-brd-radius) var(--wd-brd-radius) 0;
    min-width: auto;
    text-transform: none;
    width: max-content;
    padding: 4px 10px;
}

body .onsale.product-label::before {
    content: 'Ahorras';
    display: inline-block;
    margin-inline-end: 4px;
}

body .product-wrapper .product-labels.labels-rectangular {
    top: 11px;
    inset-inline-start: 1px;
    gap: 5px;
    flex-direction: column;
    position: absolute;
}

body .wd-product :is(.product-image-link, .hover-img) img {
    padding: 20px 20px 0 20px;
    aspect-ratio: 1;
    object-fit: contain;
}

.product-wrapper .product-element-top .wd-buttons {
    display: none;
}

body .wd-nav-arrows.wd-hover-1.wd-pos-sep .wd-prev,
body .wd-nav-arrows.wd-hover-1.wd-pos-sep .wd-next {
    transform: none;
}

body .wd-next .wd-arrow-inner:after {
    transform: translateX(1px);
}

body .wd-prev .wd-arrow-inner:after {
    transform: translateX(-1px);
}

body .wd-product .product-wrapper {
    border-radius: 0;
}

.idoogo-products-carousel--title :is(h2,h3,h4,h5,h6){
    font-size: 22px;
}

.idoogo-products-carousel h2 {
    line-height: 1;
    margin-bottom: 0;
}

.idoogo-products-carousel .wpb_text_column>.wpb_wrapper {
    display: flex;
    flex-wrap: wrap;
    gap: 12px;
    justify-content: space-between;
}

.idoogo-products-carousel .wpb_text_column.wpb_content_element {
    margin-bottom: 40px;
}

.wd-shop-product.wd-products-element {
    margin-bottom: 0;
    border-top: 1px solid var(--brd-color);
}

.wd-product.wd-hover-tiled .product-element-top {
    border-radius: 0;
}

@media screen and (max-width: 1200px) {

    .idoogo-products-carousel [class*="wd-grid"] {
        --wd-col: 4;
    }

}

@media screen and (max-width: 768px) {

    .idoogo-products-carousel .wpb_text_column>.wpb_wrapper {
        margin-right: 15px;
    }

}

/*CARRUSEL DE PRODUCTOS--V2*/

.idoogo-products-carousel-v2 {
    border-radius: 3px;
}

.idoogo-products-carousel-v2--listing .wd-carousel-inner {
    margin: -20px -5px;
}

.idoogo-products-carousel-v2--listing>.vc_column-inner {
    padding-top: 30px;
}

.idoogo-products-carousel-v2 .products .wd-carousel {
    border: 0;
    border-radius: 3px;
}

.idoogo-products-carousel-v2--info[class*="color-scheme-light"] p {
    color: #fff;
    margin-bottom: 25px;
}

.idoogo-products-carousel-v2--info h2 {
    margin-bottom: 15px;
}

.idoogo-products-carousel-v2--info>.vc_column-inner {
    padding: 30px;
}

.idoogo-products-carousel-v2--info>.vc_column-inner {
    position: relative;
}

.idoogo-products-carousel-v2--info .wpb_single_image {
    position: absolute;
    bottom: 0;
    left: 0;
}

.idoogo-products-carousel-v2 .wd-carousel-container.products::before {
    display: none;
}


@media screen and (min-width: 769px) {

    .idoogo-products-carousel-v2 {
        margin-inline: 0;
    }

}

@media screen and (min-width: 1025px) {

    .idoogo-products-carousel-v2--info {
        width: 30%;
    }

    .idoogo-products-carousel-v2--listing {
        width: 70%;
    }

}

@media screen and (max-width: 1330px) {

    .idoogo-products-carousel [class*="wd-grid"],
    .idoogo-products-carousel-v2 [class*="wd-grid"] {
        --wd-col: 3;
    }

}

@media screen and (max-width: 1024px) {

    body .wd-carousel-dis-mb .wd-carousel-wrap {
        padding: 0;
        -webkit-mask-image: none;
        mask-image: none;
    }

    .idoogo-products-carousel,
    .idoogo-products-carousel-v2 {
        border-radius: 0;
    }

}

@media screen and (max-width: 900px) {

    .idoogo-products-carousel [class*="wd-grid"],
    .idoogo-products-carousel-v2 [class*="wd-grid"] {
        --wd-col: 2;
    }

    .idoogo-products-carousel-v2--info {
        width: 40%;
    }

    .idoogo-products-carousel-v2--listing {
        width: 60%;
    }

}

@media screen and (max-width: 768px) {

    .idoogo-products-carousel [class*="wd-grid"],
    .idoogo-products-carousel-v2 [class*="wd-grid"] {
        --wd-col: 1.5;
    }

    .idoogo-products-carousel,
    .idoogo-products-carousel-v2 {
        flex-direction: column;
    }

    .idoogo-products-carousel-v2--info {
        width: 100%;
    }

    .idoogo-products-carousel-v2--listing {
        width: 100%;
    }

    .idoogo-products-carousel-v2--listing>.vc_column-inner {
        padding-right: 0;
        padding-left: 20px;
        padding-bottom: 10px;
    }

    .idoogo-products-carousel .vc_column_container>.vc_column-inner {
        padding-right: 0;
    }

    .idoogo-products-carousel-v2--listing .products .wd-carousel-item:last-child {
        margin-right: 20px;
    }

    .idoogo-products-carousel-v2--info>.vc_column-inner {
        padding: 30px 15px;
    }

    .idoogo-products-carousel-v2--info .wpb_single_image {
        display: none;
    }

}